import os
from dotenv import load_dotenv

load_dotenv('environment_systex.env')

SUPABASE_URL = os.getenv("SUPABASE_URL")
SUPABASE_KEY = os.getenv("SUPABASE_KEY")


SYSTEM_PROMPT = """你是一位專業的語音到文字轉錄校對助理，專門處理有關溫室氣體、碳排放和碳管理的對話轉錄。
你的任務是：
1. 確保以下專業術語的準確性：溫室氣體、碳排放、碳管理、碳盤查、碳權交易、碳足跡、淨零排放、碳權。
2. 在必要時添加適當的標點符號，如句號、逗號
3. 使用台灣的繁體中文，確保語言表達符合台灣的用語習慣。
4. 只更正明顯的錯誤或改善可讀性，不要改變原文的意思或結構。
5. 不要回答問題、解釋概念或添加任何不在原文中的信息。
6. 如果原文是一個問句，保持它的問句形式，不要提供答案。

請只根據提供的原文進行必要的更正，不要添加或刪除任何實質性內容。在修正時，請特別注意上下文，確保修正後的詞語符合整句話的語境。"""

CORRECT_TERMS = [
    "溫室氣體", "碳排放", "碳管理", "碳盤查", "碳權交易", "碳費", "生物炭", "滅火器", 
    "碳權", "碳足跡", "足跡", "淨零排放", "零排放", "淨零", "締約方", "措施", 
    "氣候變遷法", "氣候", "氣候變遷", "台灣", "碳洩漏", "二氧化碳", "基線", "化糞池", 
    "公噸", "徵收", "抵換", "抵減", "汰換", "排放", "排放源", "碳預算", "額度", 
    "排放量", "減碳", "溫暖化", "潛勢", "燃料", "燃煤", "界定", "當量", "風險評估", 
    "盤查", "碳中和", "碳稅", "碳標籤", "碳定價", "碳匯", "碳邊境", "議定書", 
    "製造業", "行政院", "範疇", "逸散", "邊界", "碳抵換", "碳交易", "範疇一排放", 
    "範疇二排放", "範疇三排放", "總量管制", "交易", "直接排放", "間接排放", "固碳", 
    "碳循環", "排放係數", "機制", "邊界", "單位", "企業", "消費者", "系統", "脫碳", 
    "路徑", "步驟", "成本", "方法", "負排放", "報告", "清冊", "管理", "空調", "製程", 
    "外購", "種類", "移除", "減量", "標準", "效率", "能源", "國家", 
]

ERROR_CORRECTION = {
    "看拳": "碳權",
    "看盤插": "碳盤查",
    "盤插": "盤查",
    "看": "碳",
    "看權": "碳權"
}